Name:          jtds
Version:       1.3.1
Release:       4%{?dist}
Summary:       SQL Server and Sybase JDBC driver
License:       MIT and LGPLv2+
URL:           http://jtds.sourceforge.net/
# sh jtds-create-tarball.sh < VERSION >
Source0:       %{name}-%{version}-clean.tar.xz
Source1:       %{name}-create-tarball.sh
# fix libraries path
# disable test unavailable deps
# fix javac/javadoc source/target/encoding parameters
# remove classpath from manifest
Patch0:        %{name}-1.3.1-build.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: jcifs
BuildRequires: jdbc-stdext
# test deps
#BuildRequires: ant-junit
#BuildRequires: junit

Requires:      jcifs

Requires:      jpackage-utils
BuildArch:     noarch

%description
TDS is an open source 100% pure Java (type 4) JDBC 3.0 driver 
for Microsoft SQL Server (6.5, 7, 2000,2005, and 2008) and
Sybase (10, 11, 12, 15). jTDS is based on FreeTDS and is currently the
fastest production-ready JDBC  driver for SQL Server and Sybase.
jTDS is 100% JDBC 3.0 compatible, supporting forward-only and
scrollable/updateable ResultSets, concurrent (completely 
independent) Statements and implementing all the DatabaseMetaData and 
ResultSetMetaData methods. 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

for d in CHANGELOG LICENSE README* ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

%patch0 -p0

# fix non ASCII chars
for s in src/main/net/sourceforge/jtds/jdbc/JtdsDatabaseMetaData.java \
  src/test/net/sourceforge/jtds/jdbc/CSUnitTest.java;do
  native2ascii -encoding UTF8 ${s} ${s}
done

%build

%ant dist

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 build/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/doc/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%doc CHANGELOG README*
%license LICENSE

%files javadoc
%{_javadocdir}/%{name}
%license LICENSE

%changelog
* Mon Feb 09 2015 gil cattaneo <puntogil@libero.it> 1.3.1-4
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.3.1-2
- Use Requires: java-headless rebuild (#1067528)

* Thu Aug 01 2013 gil cattaneo <puntogil@libero.it> 1.3.1-1
- update to 1.3.1
- minor changes for adapt to current guideline

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 21 2012 gil cattaneo <puntogil@libero.it> 1.2.6-1
- update to 1.2.6

* Tue Jul 24 2012 gil cattaneo <puntogil@libero.it> 1.2.5-3
- edit license field
- corrected FSF address

* Mon Jul 23 2012 gil cattaneo <puntogil@libero.it> 1.2.5-2
- remvoved BR zip
- repackaged SOURCE0 (removed bundled libraries and no permissible code or content)

* Fri May 04 2012 gil cattaneo <puntogil@libero.it> 1.2.5-1
- initial rpm
